# Uses of Interface
com.sun.jdi.request.StepRequest

Packages that use StepRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of StepRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return StepRequest
Modifier and Type
Method
Description
`StepRequest`
EventRequestManager.`createStepRequest(ThreadReference thread, int size, int depth)`
Creates a new disabled `StepRequest`.
Methods in com.sun.jdi.request that return types with arguments of type StepRequest
Modifier and Type
Method
Description
`List<StepRequest>`
EventRequestManager.`stepRequests()`
Return an unmodifiable list of the enabled and disabled step requests.